<?php
/**
 * @copyright Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('ABSPATH') or die;

get_header();

get_template_part('partials/page-header');

$custom_fields		= amy_get_option('movie_custom_fields');
$defaults_fields	= amy_get_option('movie_default_fields', amy_movie_defaults_fields());

$person_options 	= array();

if (!empty($defaults_fields)) {
	foreach ($defaults_fields as $field) {
		if ($field == 'movie_actor') {
			$person_options[esc_html__('Actor', 'amy-movie-extend')] = 'amy_actor';
		}

		if ($field == 'movie_director') {
			$person_options[esc_html__('Director', 'amy-movie-extend')] = 'amy_director';
		}

		if ($field == 'movie_genre') {
			$person_options[esc_html__('Genre', 'amy-movie-extend')] = 'amy_genre';
		}
	}
}

if (!empty($custom_fields)) {
	foreach ($custom_fields as $field) {
		if ($field['type'] == 'person') {
			$name 			= (isset($field['name']) && $field['name'] != '') ? $field['name'] : '';
			$singular_name 	= (isset($field['singular_name']) && $field['singular_name'] != '') ? sanitize_title($field['singular_name']) : sanitize_title($name);

			$person_options[$field['name']]	= $singular_name;
		}
	}
}

$filters = array();

foreach ($person_options as $person) {
	if (isset($_GET[$person . '_s'])) {
		$filters[$person] = $_GET[$person . '_s'];
	}
}

$paged 		= (get_query_var('paged')) ? intval(get_query_var('paged')) : intval(get_query_var('page'));

$args = array(
	's'	=> $s,
	'post_type'			=> array('amy_movie', 'amy_tvshow'),
	'posts_per_page'	=> amy_get_option('search_number'),
	'paged'				=> $paged
);

if (!empty($filters)) {
	foreach ($filters as $k => $term) {
		if ($term != '') {
			$args['tax_query'][] = array(
				'taxonomy' => $k,
				'field' => 'term_id',
				'terms' => $term
			);
		}
	}
}

$advance_search_query 	= new WP_Query($args);
$max   					= intval($advance_search_query->max_num_pages);
$data					= $advance_search_query->posts;

$options	 = array(
	'img_size'		=> array('205', '347'),
	'max_pages'		=> $max,
	'pagination'	=> true,
	'show_showtime'	=> false,
	'showtime_type'	=> 'all',
	'list_fields_visible'	=> 'movie_release,movie_imdb,movie_language,movie_genre,movie_actor,movie_director,movie_cinema'
);
?>

<section class="amy-main-content movie-search advance-search">
	<div class="container">
		<div class="amy-shortcode amy-mv-list">
			<?php echo amy_movie_listlayout($data, $options); ?>
		</div>
	</div>
</section>


<?php
get_footer();
