<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

defined('ABSPATH') or die;

global $post;

$details 		= get_post_meta($post->ID, '_season_details', true);
$list_episodes 	= $details['list_episodes'];
?>

<div class="movie-steaming">
	<div class="amy-movie-item-play">
		<div class="container">
			<div class="box-player">
				<?php
					$video_link = '';
					$video_type = '';

					if (!empty($list_episodes)) {
						$s 			= reset($list_episodes);
						$p 			= isset($s['list_server']) ? $s['list_server'] : array();
						$x			= !empty($p) ? reset($p) : array();
						$video_link = !empty($x) ? $x['link'] : '';

						if (strpos($video_link, 'youtube') == true) {
							$video_type = 'youtube';
						} else if (strpos($video_link, 'vimeo') == true) {
							$video_type = 'vimeo';
						} else {
							$video_type = 'video';
						}
					}

				?>
				<video id='amyplayer' data-source='<?php echo ($video_link); ?>' data-type='<?php echo ($video_type); ?>' data-poster='' controls playsinline></video>
			</div>
			<div class="div-control">
				<span class="btn-action btn_lightbulb" title="<?php echo esc_html__('Turn off the light', 'moviezone'); ?>">
					<i class="fa fa-lightbulb-o"></i>
					<span class="turn-off"><?php echo esc_html__('Turn off the light', 'moviezone'); ?></span>
					<span class="turn-on"><?php echo esc_html__('Turn on the light', 'moviezone'); ?></span>
				</span>
			</div>
		</div>
	</div>

	<div class="amy-movie-item-content-header">
		<div class="container">
			<header class="amy-movie-item-header">
				<div class="amy-movie-item-header-left">
					<?php get_template_part('movie/single/parts/title'); ?>
				</div>
				<div class="amy-movie-item-header-right">
					<?php get_template_part('movie/single/parts/social'); ?>
				</div>
			</header>
			<?php if (!empty($list_episodes)) : ?>
				<div class="amy-movie-list-server">
					<?php $j = 0; ?>
					<?php foreach ($list_episodes as $ep) : ?>
						<div class="amy-movie-serve-item">
							<div class="amy-movie-serve-name">
								<span>
									<i class="fa fa-database"></i>
									<?php echo esc_attr($ep['title']); ?>
								</span>
							</div>
							<?php if (!empty($ep['list_server'])) : ?>
								<?php $i = 0; ?>
								<div class="amy-movie-serve-options">
									<?php foreach ($ep['list_server'] as $s) : ?>
										<?php
											if ($i == 0 && $j == 0) {
												$classactive = 'active';
											} else {
												$classactive = '';
											}

											if (strpos($s['link'], 'youtube') == true) {
												$data_type = 'youtube';
											} else if (strpos($s['link'], 'vimeo.com') == true) {
												$data_type = 'vimeo';
											} else {
												$data_type = 'video';
											}
										?>
										<span class="optinal-link amy-streaming-link <?php echo esc_attr($classactive); ?>" data-type="<?php echo esc_attr($data_type); ?>" data-source="<?php echo esc_url($s['link']); ?>">
											<?php echo esc_attr($s['title']); ?>
										</span>

										<?php $i++; ?>
									<?php endforeach; ?>
								</div>
							<?php endif; ?>
						</div>
						<?php $j++; ?>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
			<div class="amy-movie-list-info">
				<h3>
					<?php echo esc_html__('Movie Info', 'amy-movie'); ?>
				</h3>
				<?php get_template_part('movie/single/parts/info-list'); ?>
			</div>

		</div>
	</div>

	<div class="amy-movie-item-comments">
		<div class="container">
			<?php
				if (comments_open() || '0' != get_comments_number()) {
					comments_template('/comments.php', true);
				}
			?>
		</div>
	</div>
</div>