<?php
/**
 * @copyright Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('ABSPATH') or die;

get_header();

get_template_part('partials/page-header');

global $post;

$movie_meta		= get_post_meta($post->ID, '_movie_sidebar', true);
$movie_layout	= esc_attr(isset($movie_meta['movie_sidebar']) ? $movie_meta['movie_sidebar'] : 'full');
$movie_column	= esc_attr($movie_layout == 'full' ? '12' : '8');

$banner			= amy_movie_get_banner($post->ID, 1920, 600);
$class			= '';
$check_banner 	= get_post_meta($post->ID, '_movie_banner', true);
$check_banner	= isset($check_banner["movie_banner"]) ? $check_banner["movie_banner"] : false;

if ($check_banner != '') {
	$class .= ' has-banner';
} else {
	$class .= ' no-banner';
}

$streaming 		= amy_get_option('enable_streaming', false);
$mdetails 		= amy_movie_get_details($post->ID);
$single_layout 	= isset($mdetails['movie_layout']) ? $mdetails['movie_layout'] : amy_get_option('single_movie_default_layout', 'stream');

if ($streaming && $single_layout == 'stream') {
	$class .= ' streaming';
}

?>

<section class="main-content amy-movie single-movie layout-<?php echo $movie_layout; ?> <?php echo esc_attr($class); ?>">
	<div class="container">
		<div class="row">
			<?php amy_movie_page_sidebar('left', $movie_layout); ?>
			<div class="col-md-<?php echo $movie_column; ?>">
				<div class="page-content">
					<?php
					while (have_posts()) {
						the_post();
						get_template_part('movie/content-single-tvshow');
					}
					?>
				</div>
			</div>
			<?php amy_movie_page_sidebar('right', $movie_layout); ?>
		</div>
	</div>
</section>

<?php
get_footer();
