<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('ABSPATH') or die;

global $post;

$mdetails 	= amy_movie_get_details($post->ID);
$mrating  	= amy_movie_get_rating($post->ID);
$cinemas	= amy_movie_cinema_in_movie($post->ID);

$list_fields_visible 	= amy_get_option('list_fields_visible');
$custom_fields			= amy_get_option('movie_custom_fields');

if (empty($list_fields_visible)) {
	return;
}

?>

<ul class="info-list">
	<?php if (amy_movie_get_movie_taxomony($post->ID, 'amy_actor') && in_array('movie_actor', $list_fields_visible)) : ?>
	<li>
		<label><?php echo esc_html__('Actor:', 'amy-movie'); ?></label>
		<span><?php echo amy_movie_get_movie_taxomony($post->ID, 'amy_actor'); ?></span>
	</li>
	<?php endif; ?>

	<?php if (amy_movie_get_movie_taxomony($post->ID, 'amy_director') && in_array('movie_director', $list_fields_visible)) : ?>
	<li>
		<label><?php echo esc_html__('Director:', 'amy-movie'); ?></label>
		<span><?php echo amy_movie_get_movie_taxomony($post->ID, 'amy_director'); ?></span>
	</li>
	<?php endif; ?>

	<?php if (amy_movie_get_movie_taxomony($post->ID, 'amy_genre') && in_array('movie_genre', $list_fields_visible)) : ?>
	<li>
		<label><?php echo esc_html__('Genre:', 'amy-movie'); ?></label>
		<span><?php echo amy_movie_get_movie_taxomony($post->ID, 'amy_genre'); ?></span>
	</li>
	<?php endif; ?>

	<?php if (amy_movie_check_value_in_array($mdetails, 'movie_release') && in_array('movie_release', $list_fields_visible)) : ?>
	<li>
		<label><?php echo esc_html__('Release:', 'amy-movie'); ?></label>
		<span><?php echo esc_attr(date(get_option('date_format'), strtotime($mdetails['movie_release']))); ?></span>
	</li>
	<?php endif; ?>

	<?php if (amy_movie_check_value_in_array($mdetails, 'movie_language') && in_array('movie_language', $list_fields_visible)) : ?>
	<li>
		<label><?php echo esc_html__('Language:', 'amy-movie'); ?></label>
		<span><?php echo esc_attr($mdetails['movie_language']); ?></span>
	</li>
	<?php endif; ?>

	<?php if (amy_movie_check_value_in_array($mdetails, 'movie_imdb') && in_array('movie_imdb', $list_fields_visible)) : ?>
	<li>
		<label><?php echo esc_html__('IMDB Rating:', 'amy-movie'); ?></label>
		<span><?php echo esc_attr($mdetails['movie_imdb']); ?></span>
	</li>
	<?php endif; ?>

	<?php if (!empty($custom_fields)) : ?>
		<?php foreach ($custom_fields as $field) : ?>
			<?php if ($field['type'] == 'category' || $field['type'] == 'person') : ?>
				<?php
					$name = (isset($field['name']) && $field['name'] != '') ? $field['name'] : '';
					$singular_name = (isset($field['singular_name']) && $field['singular_name'] != '') ? sanitize_title($field['singular_name']) : sanitize_title($name);
				?>

				<?php if (amy_movie_get_movie_taxomony($post->ID, $singular_name) && in_array($singular_name, $list_fields_visible)) : ?>
					<li>
						<label><?php echo esc_attr($name); ?></label>
						<span><?php echo amy_movie_get_movie_taxomony($post->ID, $singular_name); ?></span>
					</li>
				<?php endif; ?>
			<?php elseif ($field['type'] == 'text') : ?>
				<?php if (isset($mdetails[sanitize_title($field['name'])]) && $mdetails[sanitize_title($field['name'])]) : ?>
					<li>
						<label><?php echo esc_attr($field['name']); ?>:</label>
						<span><?php echo esc_attr($mdetails[sanitize_title($field['name'])]); ?></span>
					</li>
				<?php endif; ?>
			<?php endif; ?>
		<?php endforeach; ?>
	<?php endif; ?>

	<?php if (amy_get_option('enable_m_cinema', true) == true && in_array('movie_cinema', $list_fields_visible) && amy_get_option('is_single_cinema', false) == false) : ?>
	<li>
		<label><?php echo esc_html__('Cinema:', 'amy-movie'); ?></label>
		<?php
		if (! empty($cinemas)) {
			$numItems 	= count($cinemas);
			$i 			= 0;

			foreach ($cinemas as $cinema) {
				if (++$i === $numItems) {
					$space = '';
				} else {
					$space = ', ';
				}

				?>
				<a href="<?php echo get_permalink($cinema); ?>"><?php echo get_the_title($cinema); ?></a>
				<?php echo esc_attr($space); ?>
			<?php
			}
		}
		?>
	</li>
	<?php endif; ?>
</ul>
