<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('ABSPATH') or die;

global $post;

$mdetails 	= amy_movie_get_details($post->ID);
$mrating  	= amy_movie_get_rating($post->ID);
$cinemas	= amy_movie_cinema_in_movie($post->ID);

// rate
if (isset($mrating['movie_rating_turn'])) {
	$m_turn = $mrating['movie_rating_turn'];
} else {
	$m_turn = 0;
}

if (isset($mrating['movie_rating_points'])) {
	$m_point = $mrating['movie_rating_points'];
} else {
	$m_point = 0;
}

if ($m_point != 0 && $m_turn != 0) {
	$m_ave	= round($m_point / $m_turn, 1);
} else {
	$m_ave = 0;
}

$rateclass = (amy_get_option('enable_movie_rating') == true) ? 'user-rate' : '';

if ($m_point != 0 && $m_turn != 0) {
	$classe = 'has-rate';
} else {
	$classe = 'no-rate';
}
?>

<div class="entry-action">
	<div class="mrate <?php echo esc_attr($rateclass); ?> <?php echo esc_attr($classe); ?>">
		<?php if (amy_get_option('enable_movie_rating') == true) : ?>
			<?php echo amy_movie_show_star($post->ID); ?>
		<?php endif; ?>
		<?php if ($m_point != 0 && $m_turn != 0) { ?>
		<ul class="mv-rating-stars">
			<li class="mv-current-rating user-rating" data-point="<?php echo round($m_ave / 5, 2) * 100; ?>%"></li>
		</ul>
		<span class="mcount"><?php echo esc_attr($m_turn) . esc_html__(' votes', 'amy-movie'); ?></span>
		<span class="rate"><?php echo esc_attr($m_ave); ?></span>
		<?php } ?>
	</div>
	<div class="entry-share">
		<label><?php echo esc_html__('Share:', 'amy-movie'); ?></label>
		<?php echo amy_movie_post_social_links(); ?>
	</div>
	<div class="clearfix"></div>
</div>
