<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('ABSPATH') or die;

?>

<?php if (amy_get_option('show_recent_movie', false)) : ?>
	<?php
		$type			= amy_get_option('recent_movie_type');
		$title			= amy_get_option('recent_movie_title');
		$type			= $type ? $type : 'random';
		$number			= amy_get_option('recent_movie_number', '5');

		global $post;

		$movie_meta		= get_post_meta($post->ID, '_movie_sidebar', true);
		$post_per_page	= ($movie_meta['movie_sidebar'] == 'full') ? '7' : '5';

		$args			= array(
			'post_type'				=> get_post_type($post->ID),
			'ignore_sticky_posts'	=> 1,
			'posts_per_page'		=> $number,
		);

		switch ($type) {
			case 'random':
				$args['orderby']	= 'rand';

				if (!$title) {
					$title	= esc_html__('Random Movie', 'amy-movie');
				}

				break;
			default:
				$args['orderby']	= 'date';

				if (!$title) {
					$title	= esc_html__('Recent Movie', 'amy-movie');
				}

				break;
		}

		$q		= new WP_Query($args);

		if ($q->have_posts()) {

			echo '<div class="amy-movie-recent"><h3 class="info-name amy-title">' . $title . '</h3><ul>';

			while ($q->have_posts()) {
				$q->the_post();
				setup_postdata($post);

				echo '<li><a href="' . esc_url(get_permalink()) . '">' . amy_movie_get_poster($post->ID, 164, 220) . '<p>' . get_the_title() . '</p></a></li>';

			}

			echo '</ul></div>';
		}

		wp_reset_postdata();
		wp_reset_query();
	?>
<?php endif; ?>
